Skip to main content
GET
https://api.trillet.ai
/
v1
/
api
/
twilio
/
phone-numbers
/
{phoneNumberId}
/
config
Get Phone Number Configuration
curl --request GET \
  --url https://api.trillet.ai/v1/api/twilio/phone-numbers/{phoneNumberId}/config \
  --header 'x-api-key: <api-key>' \
  --header 'x-workspace-id: <x-workspace-id>'
{
  "phoneNumberId": "665a1b2c3d4e5f6a7b8c9d0e",
  "agentId": "665a1b2c3d4e5f6a7b8c9d0f",
  "flowType": "call",
  "direction": "bidirectional",
  "status": "active",
  "recording": true,
  "officeHours": {
    "enabled": false
  },
  "transferCallerIdMode": "agent",
  "metadataTags": ["sales", "priority"]
}

Headers

x-api-key
string
required
API key used for authenticating requests to the API.
x-workspace-id
string
required
Workspace identifier for the API.

Path Parameters

phoneNumberId
string
required
The unique identifier of the phone number.

Response Fields

phoneNumberId
string
The phone number ID.
agentId
string
The call agent assigned to this phone number.
flowType
string
Type of flow assigned (“call” or “message”).
direction
string
Call direction configuration (“inbound”, “outbound”, “bidirectional”).
status
string
Configuration status.
recording
boolean
Whether call recording is enabled.
officeHours
object
Office hours configuration for the phone number.
transferCallerIdMode
string
Caller ID mode for call transfers.
metadataTags
array
Array of metadata tags assigned to this phone number.
{
  "phoneNumberId": "665a1b2c3d4e5f6a7b8c9d0e",
  "agentId": "665a1b2c3d4e5f6a7b8c9d0f",
  "flowType": "call",
  "direction": "bidirectional",
  "status": "active",
  "recording": true,
  "officeHours": {
    "enabled": false
  },
  "transferCallerIdMode": "agent",
  "metadataTags": ["sales", "priority"]
}